Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttrAddress

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttr
ru.bitel.oss.kernel.entity.common.bean.EntityAttrAddress

public class EntityAttrAddress extends EntityAttr
Атрибут/параметр - адрес.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EntityAttrAddress.Builder`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntityAttrAddress()`
  ``
  `EntityAttrAddress(int entityId, int entitySpecAttrId)`
  ``
  `EntityAttrAddress(int entityId, int entitySpecAttrId, int houseId, int pod, int floor, String flat, String room, String comment, String formatKey, String title)`
  ``
  `EntityAttrAddress(int entityId, int entitySpecAttrId, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EntityAttrAddress.Builder`
  `builder(int entityId, int entitySpecAttrId)`
  `String`
  `getComment()`
  Получение комментария.
  `String`
  `getFlat()`
  Получение квартиры.
  `int`
  `getFloor()`
  Получение этажа.
  `String`
  `getFormatKey()`
  Получение ключа форматирования адреса в строковое представление.
  `int`
  `getHouseId()`
  Получение ID дома.
  `int`
  `getPod()`
  Получение подъезда.
  `String`
  `getRoom()`
  Получение комнаты.
  `String`
  `getTitle()`
  Получение строкового представления адреса.
  `void`
  `setComment(String comment)`
  Установка комментария.
  `void`
  `setFlat(String flat)`
  Установка квартиры.
  `void`
  `setFloor(int floor)`
  Установка этажа.
  `void`
  `setFormatKey(String formatKey)`
  Установка ключа форматирования адреса в строковое представление.
  `void`
  `setHouseId(int houseId)`
  Установка ID дома.
  `void`
  `setPod(int pod)`
  Установка подъезда.
  `void`
  `setRoom(String room)`
  Установка комнаты.
  `void`
  `setTitle(String title)`
  Установка строкового представления адреса.
  `org.json.JSONObject`
  `toJSON()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

  `getEntityId, getEntitySpecAttrId, getType, getTypeName, newInstance, setEntityId, setEntitySpecAttrId, setType, setTypeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrAddress

    protected EntityAttrAddress()

  - ### EntityAttrAddress

    public EntityAttrAddress(int entityId, int entitySpecAttrId)

  - ### EntityAttrAddress

    public EntityAttrAddress(int entityId, int entitySpecAttrId, String title)

  - ### EntityAttrAddress

    public EntityAttrAddress(int entityId, int entitySpecAttrId, int houseId, int pod, int floor, String flat, String room, String comment, String formatKey, String title)

- ## Method Details

  - ### getHouseId

    public int getHouseId()
    Получение ID дома.
    Returns:

  - ### setHouseId

    public void setHouseId(int houseId)
    Установка ID дома.
    Parameters:
      `houseId` -

  - ### getFlat

    public String getFlat()
    Получение квартиры.
    Returns:

  - ### setFlat

    public void setFlat(String flat)
    Установка квартиры.
    Parameters:
      `flat` -

  - ### getRoom

    public String getRoom()
    Получение комнаты.
    Returns:

  - ### setRoom

    public void setRoom(String room)
    Установка комнаты.
    Parameters:
      `room` -

  - ### getPod

    public int getPod()
    Получение подъезда.
    Returns:

  - ### setPod

    public void setPod(int pod)
    Установка подъезда.
    Parameters:
      `pod` -

  - ### getFloor

    public int getFloor()
    Получение этажа.
    Returns:

  - ### setFloor

    public void setFloor(int floor)
    Установка этажа.
    Parameters:
      `floor` -

  - ### getComment

    public String getComment()
    Получение комментария.
    Returns:

  - ### setComment

    public void setComment(String comment)
    Установка комментария.
    Parameters:
      `comment` -

  - ### getTitle

    public String getTitle()
    Получение строкового представления адреса.
    Returns:

  - ### setTitle

    public void setTitle(String title)
    Установка строкового представления адреса.
    Parameters:
      `title` -

  - ### getFormatKey

    public String getFormatKey()
    Получение ключа форматирования адреса в строковое представление.
    Returns:

  - ### setFormatKey

    public void setFormatKey(String formatKey)
    Установка ключа форматирования адреса в строковое представление.
    Parameters:
      `formatKey` -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toJSON

    public org.json.JSONObject toJSON()

  - ### builder

    public static EntityAttrAddress.Builder builder(int entityId, int entitySpecAttrId)